Date: Wed, 29 Jul 1998 09:33:23 +0200 (MET DST)
From: Sven <luther@dpt-info.u-strasbg.fr>
To: linux-apus@SunSITE.auc.dk, linux-m68k@lists.linux-m68k.org,
        luther@dpt-info.u-strasbg.fr
Subject: L68K: blizzardPPC scsi support, first try
Sender: owner-linux-m68k@phil.uni-sb.de

Hello,

here is a first patch that prepares the 2.1.108 kernel for blizzardPPC scsi support.

it actually don't do anything (yet), just patches the needed files to recognize that there
is a blizzardPPC scsi chip, and that the correct file to launch for the driver is amiga7xx.c
and 53c7xx.c plus it adds a configuration option forit.

This is my first patch, so i hope i did everything correctly, can someone tell me 
what are the correct options to use with diff so that there is not a lot of uneuseful stuff in the patch

Friendly,

Sven LUTHER



--- linux-2.1.108/Documentation/Configure.help	Tue Jul 28 22:54:59 1998
+++ linux-2.1.108-scsi/Documentation/Configure.help	Tue Jul 28 23:27:17 1998
@@ -8524,6 +8524,11 @@
   1260 accelerator, and the optional SCSI module, say Y.  Otherwise,
   say N.
 
+Blizzard PowerUP 603e+ SCSI support
+CONFIG_BLZ603EPLUS_SCSI
+  If you have an Amiga 1200 with a Phase5 Blizzard PowerUP 603e+
+  accelerator, say Y.  Otherwise, say N.
+
 Fastlane SCSI support
 CONFIG_FASTLANE_SCSI
   If you have the Phase5 Fastlane Z3 SCSI controller, or plan to use
--- linux-2.1.108/arch/m68k/config.in	Tue Jul 28 23:19:04 1998
+++ linux-2.1.108-scsi/arch/m68k/config.in	Tue Jul 28 23:27:17 1998
@@ -154,6 +154,7 @@
   if [ "$CONFIG_EXPERIMENTAL" = "y" ]; then
     bool 'A4091 SCSI support' CONFIG_A4091_SCSI
     bool 'WarpEngine SCSI support' CONFIG_WARPENGINE_SCSI
+    bool 'Blizzard PowerUP 603e+ SCSI' CONFIG_BLZ603EPLUS_SCSI
 #    bool 'Cyberstorm Mk III SCSI support' CONFIG_CYBERSTORMIII_SCSI
 #    bool 'GVP Turbo 040/060 SCSI support' CONFIG_GVP_TURBO_SCSI
   fi
--- linux-2.1.108/arch/m68k/defconfig	Tue Jul 28 23:08:38 1998
+++ linux-2.1.108-scsi/arch/m68k/defconfig	Tue Jul 28 23:27:18 1998
@@ -135,6 +135,7 @@
 # CONFIG_A4000T_SCSI is not set
 # CONFIG_A4091_SCSI is not set
 # CONFIG_WARPENGINE_SCSI is not set
+# CONFIG_BLZ603EPLUS_SCSI is not set
 CONFIG_ATARI_SCSI=y
 # CONFIG_ATARI_SCSI_TOSHIBA_DELAY is not set
 # CONFIG_ATARI_SCSI_RESET_BOOT is not set
--- linux-2.1.108/drivers/scsi/hosts.c	Tue Jul 28 22:56:16 1998
+++ linux-2.1.108-scsi/drivers/scsi/hosts.c	Tue Jul 28 23:27:19 1998
@@ -41,7 +41,7 @@
 
 #include "hosts.h"
 
-#if defined(CONFIG_A4000T_SCSI) || defined(CONFIG_WARPENGINE_SCSI) || defined(CONFIG_A4091_SCSI) || defined (CONFIG_GVP_TURBO_SCSI)
+#if defined(CONFIG_A4000T_SCSI) || defined(CONFIG_WARPENGINE_SCSI) || defined(CONFIG_A4091_SCSI) || defined (CONFIG_GVP_TURBO_SCSI) || defined (CONFIG_BLZ603EPLUS_SCSI)
 #include "amiga7xx.h"
 #endif
 
@@ -311,7 +311,7 @@
 static Scsi_Host_Template builtin_scsi_hosts[] =
 {
 #ifdef CONFIG_AMIGA
-#if defined(CONFIG_WARPENGINE_SCSI) || defined(CONFIG_A4000T_SCSI) || defined(CONFIG_A4091_SCSI) || defined (CONFIG_GVP_TURBO_SCSI)
+#if defined(CONFIG_WARPENGINE_SCSI) || defined(CONFIG_A4000T_SCSI) || defined(CONFIG_A4091_SCSI) || defined (CONFIG_GVP_TURBO_SCSI) || defined (CONFIG_BLZ603EPLUS_SCSI)
 	AMIGA7XX_SCSI,
 #endif
 #ifdef CONFIG_A3000_SCSI
